iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapAddressComponent Class Reference

地址组成要素 More...

`#include <AMapCommonObj.h>`

Inheritance diagram for AMapAddressComponent:

## Properties
NSString * | country
| 国家（since 5.7.0）
NSString * | countryCode
| 国家简码（since 7.4.0）仅海外生效
NSString * | province
| 省/直辖市
NSString * | city
| 市
NSString * | citycode
| 城市编码
NSString * | district
| 区
NSString * | adcode
| 区域编码
NSString * | township
| 乡镇街道
NSString * | towncode
| 乡镇街道编码
NSString * | neighborhood
| 社区
NSString * | building
| 建筑
AMapStreetNumber * | streetNumber
| 门牌信息
NSArray< AMapBusinessArea * > * | businessAreas
| 商圈列表 AMapBusinessArea 数组

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

地址组成要素

## Property Documentation

## ◆ adcode

- (NSString*) adcode
| read write nonatomic copy

区域编码

## ◆ building

- (NSString*) building
| read write nonatomic copy

建筑

## ◆ businessAreas

- (NSArray<AMapBusinessArea *>*) businessAreas
| read write nonatomic strong

商圈列表 AMapBusinessArea 数组

## ◆ city

- (NSString*) city
| read write nonatomic copy

市

## ◆ citycode

- (NSString*) citycode
| read write nonatomic copy

城市编码

## ◆ country

- (NSString*) country
| read write nonatomic copy

国家（since 5.7.0）

## ◆ countryCode

- (NSString*) countryCode
| read write nonatomic copy

国家简码（since 7.4.0）仅海外生效

## ◆ district

- (NSString*) district
| read write nonatomic copy

区

## ◆ neighborhood

- (NSString*) neighborhood
| read write nonatomic copy

社区

## ◆ province

- (NSString*) province
| read write nonatomic copy

省/直辖市

## ◆ streetNumber

- (AMapStreetNumber*) streetNumber
| read write nonatomic strong

门牌信息

## ◆ towncode

- (NSString*) towncode
| read write nonatomic copy

乡镇街道编码

## ◆ township

- (NSString*) township
| read write nonatomic copy

乡镇街道

The documentation for this class was generated from the following file:

- AMapCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。